Subject: Re: BUG: umount / && mount d:/ / doesn't work.
From: [email-masked] (Larry Hall)

29 Aug 1998 15:48:37 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked], gw32 <[email-masked]>

At 06:56 AM 8/28/98 -0700, Earnie Boyd wrote:
>I've just found that in order to change the root directory to
>something other than c:\ that I must use regedt32 and modify the key
>value.
>
>I found this bug when trying to explain the process to someone else. 
>I modified my mounted root directory with `umount / && mount d:/ /'
>and found that it did the umount and immediately pointed the / to c:
>so that when it executed the mount command mount complained about a
>`busy device'.  I tried this sequence also under MSDOS with nothing
>else running and got the same results.
>
>This used to work in b18, so if I were looking for the problem (which
>I won't be) I would look at the code that changed for the addition of
>the HKEY_LOCAL_MACHINE registry entry.
>
>==
>-        \\||//
>---o0O0--Earnie--0O0o----
>[email-masked]
>------ooo0O--O0ooo-------
>
>

Works for me on NT.  Are you sure you tried this under cygwin bash?  It
will work exactly as you described if not.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".